Skip to main content
`Ctrl`+`K`

# pandas.DatetimeIndex.day_name

DatetimeIndex.day_name(*args, **kwargs)

  Return the day names with specified locale.

  Parameters:
    locale str, optional

      Locale determining the language in which to return the day name. Default is English locale (`'en_US.utf8'`). Use the command `locale -a` on your terminal on Unix systems to find your locale language code.

  Returns:
    Series or Index

      Series or Index of day names.

  Examples

      >>> s = pd.Series(pd.date_range(start='2018-01-01', freq='D', periods=3))
      >>> s
      0   2018-01-01
      1   2018-01-02
      2   2018-01-03
      dtype: datetime64[ns]
      >>> s.dt.day_name()
      0       Monday
      1      Tuesday
      2    Wednesday
      dtype: object

      >>> idx = pd.date_range(start='2018-01-01', freq='D', periods=3)
      >>> idx
      DatetimeIndex(['2018-01-01', '2018-01-02', '2018-01-03'],
                    dtype='datetime64[ns]', freq='D')
      >>> idx.day_name()
      Index(['Monday', 'Tuesday', 'Wednesday'], dtype='object')

  Using the `locale` parameter you can set a different locale language, for example: `idx.day_name(locale='pt_BR.utf8')` will return day names in Brazilian Portuguese language.

      >>> idx = pd.date_range(start='2018-01-01', freq='D', periods=3)
      >>> idx
      DatetimeIndex(['2018-01-01', '2018-01-02', '2018-01-03'],
                    dtype='datetime64[ns]', freq='D')
      >>> idx.day_name(locale='pt_BR.utf8')
      Index(['Segunda', 'Terça', 'Quarta'], dtype='object')